package v3

/*

{
  "hydra:member": [
    {
      "@context": "string",
      "@id": "string",
      "@type": "string",
      "id": "string"
    }
  ],
  "hydra:totalItems": 0,
  "hydra:view": {
    "@id": "string",
    "type": "string",
    "hydra:first": "string",
    "hydra:last": "string",
    "hydra:previous": "string",
    "hydra:next": "string"
  },
  "hydra:search": {
    "@type": "string",
    "hydra:template": "string",
    "hydra:variableRepresentation": "string",
    "hydra:mapping": [
      {
        "@type": "string",
        "variable": "string",
        "property": "string",
        "required": true
      }
    ]
  }
}

*/

// EventType Model for fetching json data

type EventTypes struct {
	TotalItems int         `json:"hydra:totalItems"`
	EventTypes []EventType `json:"hydra:member"`
}

type EventType struct {
	ID   string `json:"id"`
	Type string `json:"@type"`
}
